translation not working

Bug #839745 reported by Marc Gariépy on 2011-09-02
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chemtool (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

The translation of chemtool from version 1.6.12 doesn't work.
It was working on previous version 1.6.10 from hardy and 1.6.11 on jaunty.

When running chemtool with strace, it's not trying to open chemtool.mo files.

fixed in Debian 1.6.12-2

Marc Gariépy (mgariepy) wrote :

I'm building the package in my ppa with the translation patch applied, as soon as i confirm it works, i'll create the debdiff for natty. and probably oneiric.

Thanks Daniel for the patch

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chemtool - 1.6.12-2

---------------
chemtool (1.6.12-2) unstable; urgency=low

  * Acknowledge NMU (closes: #554084).

  * debian/chemtool.docs: Added.
  * debian/chemtool.examples: Ditto.
  * debian/compat: Bumped to dh compatibility level 7.
  * debian/control (Uploaders): Removed LI Daobing. Thanks for your work.
    (Build-Depends): Increased required debhelper and autotools-dev versions.
    (Standards-Version): Bumped to 3.9.2.
    (Vcs-Browser): Point to the real directory.
  * debian/install: Renamed to debian/chemtool.install.
  * debian/menu: Renamed to debian/chemtool.menu.
  * debian/rules: Rewritten for dh 7. Added -Wl,--as-needed to drop unused
    dependencies.
  * debian/source/format: Added for format 3.0 (quilt).
  * debian/patches/554084_fix_ftbfs_with_no_add_needed.patch: Added.
    - Add -lX11 to chemtool_LDADD for #554084.
  * debian/patches/585912_document_special_char_limitation.patch: Added.
    - Document a limitation in special characters handling (closes: #585912).
  * debian/patches/650112_fix_segfault_at_startup.patch: Added.
    - Fix XPM color entries in bitmap1.h (closes: #650112).
  * debian/patches/LP839745_enabling_translation.patch: Added.
    - Fix gettext support initialization (LP: #839745).
  * debian/patches/series: Added.

 -- Daniel Leidert (dale) <email address hidden> Sat, 26 Nov 2011 20:53:21 +0100

Changed in chemtool (Ubuntu):
status: New → Fix Released
Marc Gariépy (mgariepy) on 2011-12-02
Changed in chemtool (Ubuntu):
milestone: none → natty-updates
milestone: natty-updates → none
Marc Gariépy (mgariepy) wrote :

Here is the debdiff for natty.

Marc Gariépy (mgariepy) wrote :

this is the debdiff to fix on oneiric

Martin Pitt (pitti) wrote :

Thanks Marc! However, instead of backporting all changes from that Debian version, can we please just backport LP839745_enabling_translation.patch to get a minimal SRU? Thanks!

Martin Pitt (pitti) wrote :

Please re-subscribe ubuntu-sponsors when ready.

Marc Gariépy (mgariepy) wrote :

Hello Martin,

Here is the patches for natty:

debian/patches/554084_fix_ftbfs_with_no_add_needed.patch : this patch was applied without a patch system so i moved it to the patch system.
debian/patches/585912_document_special_char_limitation.patch : This is only a line change in the manpage
debian/patches/LP839745_enabling_translation.patch : this is the translation patch.

For oneiric, all the patches above are applied plus :
debian/patches/650112_fix_segfault_at_startup.patch is needed to fix a segfault at startup when compliled with oneiric libraries.

I don't mind doing it if you think it's needed but the only diff will be the man page thing.

Micah Gersten (micahg) wrote :

Hi Marc, the second round of patches did not seem to be attached. Martin was referring to the other changes in the debdiff that are not needed to fix this issue. Also, the no-add-needed patch should not be necessary in either SRU. Please resubscribe ubuntu-sponsors when new versions of the debdiff with the stuff you mentioned in the previous comment without the no-add-needed patch are available.

Changed in chemtool (Ubuntu Natty):
status: New → Incomplete
assignee: nobody → Marc Gariépy (mgariepy)
Changed in chemtool (Ubuntu Oneiric):
status: New → Incomplete
assignee: nobody → Marc Gariépy (mgariepy)
Marc Gariépy (mgariepy) wrote :

this is the fix for natty.

Marc Gariépy (mgariepy) wrote :

this is the fix for oneiric

Didier Roche (didrocks) wrote :

Hey Marc,
* Move existing in-line changes to Makefile.in to a patch
(and the change in Makefile.am)
-> so, we try to only push the minimal changes in a SRU, and especially no change in the build system. What Martin was telling, is that we only need a debdiff containing the fix for the translation part, not LDADD change or anything else.
I'm sorry to ask you that, but can you please repropose your debdiff only containing the minimum changes (which is the translation patch + the quilt support and the changelog)?

Thanks again for your work there :) I'm unsuscribing ubuntu-sponsors, please resuscribe when it's ok for review (and change both bug states to "new". Thanks!

Stéphane Graber (stgraber) wrote :
Download full text (4.2 KiB)

Forgot to mention, sorry.

I reviewed and uploaded both of these debdiffs yesterday. Should have unsubscribed sponsors after that.

For the record (for the SRU team), here's the discussion I had with Martin and Marc on IRC:
15:19 < pitti> mgariepy: hello
15:19 < mgariepy> hello,
15:19 < mgariepy> that was fast :)
15:20 < pitti> mgariepy: your comment is a little unclear, does that mean that it's already fixed in oneiric?
15:20 < pitti> you said for oneiric you only want a manpage fix (which is a separate bug from "translations not working")
15:20 < stgraber> hey pitti! we don't see you around here much :)
15:20 < mgariepy> so as i commented on the bug, the only difference would be the manpage change
15:20 < pitti> stgraber: mgariepy asked me to join
15:21 < stgraber> oh, that sounds like chemtool
15:21 < pitti> mgariepy: so this bug should then be marked as "fix released" in oneiric then?
15:21 < mgariepy> in oneiric it's not fixed.
15:22 < pitti> so, I'm confused
15:22 < mgariepy> ok, so the first patch 554084 is to apply a patch that is already applied to chemtool but outside of the packaging
15:24 < pitti> mgariepy: my objection is that https://launchpadlibrarian.net/86447561/chemtool_1.6.12-1ubuntu1.11.10.1.debdiff fixes tons of unrelated stuff
15:24 < pitti> like Makefile.am, linking, etc.
15:24 < pitti> or adding quilt, which is even wrong
15:24 < pitti> (as it's a 3.0 source)
15:24 < pitti> + * debian/control (Build-Depends): add quilt to build-depends
15:24 < pitti> + * debian/rules: Add patchsys-quilt.mk to rules
15:24 < pitti> this is really wrong these days
15:25 < stgraber> is it 3.0? I seem to remember it not being 3.0
15:25 < pitti> at least in precise; I don't have an oneiric chroot
15:26 * stgraber checks
15:26 < mgariepy> chemtool in oneiric is only a copy of natty
15:27 < stgraber> pitti: the package switched to 3.0 in Debian with the sync I requested last week in Precise
15:27 < stgraber> pitti: so Natty and Oneiric aren't 3.0
15:27 < pitti> ah, ok
15:28 < stgraber> and had an in-line patch (to MakeFile) that got moved to a debian/patches patch in Debian, that's why I suggested mgariepy unapplies it and uses the one from
                  Debian so diffing Oneiric to Precise is easier
15:28 < stgraber> we can probably keep it in-line, but I usually don't like these when you have more than one patch applied
15:29 < stgraber> the other extra patch (the one changing the bitmaps) is required for Oneiric as the current package only works because it's a copy from Natty, a no-change
                  rebuild of Oneiric's current package would segfault at startup
15:31 < pitti> stgraber: ah, ok; so ok for me to add quilt, so this probably just needs some changelog cleanup and removal of unrelated stuff
15:31 < pitti> I sub'ed sponsors again
15:31 < pitti> but can't handle it any more, need to run for today
15:32 < stgraber> pitti: ok, thanks
15:32 < stgraber> pitti: I may just do it, last week was kind of busy but this one is much better. Thanks for the review and the comments!
15:32 < pitti> thanks
15:33 -!- pitti [~pitti@ubuntu/member/pitti] has left #edubuntu ["WeeChat 0.3.6"]
15:34 < stgraber> mgariepy: ok, so I guess the ...

Read more...

Changed in chemtool (Ubuntu Natty):
status: Incomplete → Fix Committed
Changed in chemtool (Ubuntu Oneiric):
status: Incomplete → Fix Committed
Changed in chemtool (Ubuntu Natty):
assignee: Marc Gariépy (mgariepy) → nobody
Changed in chemtool (Ubuntu Oneiric):
assignee: Marc Gariépy (mgariepy) → nobody

Hello Marc, or anyone else affected,

Accepted chemtool into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Marc Gariépy (mgariepy) wrote :

I just tested the oneiric version and everything works as expected

Martin Pitt (pitti) on 2011-12-10
tags: added: verification-done-oneiric
Martin Pitt (pitti) wrote :

Hello Marc, or anyone else affected,

Accepted chemtool into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chemtool - 1.6.12-1ubuntu1.11.10.1

---------------
chemtool (1.6.12-1ubuntu1.11.10.1) oneiric-proposed; urgency=low

  * Cherry-pick bugfixes from Debian
    - Fix gettext support initialization (LP: #839745)
    - Fix XPM color entries in bitmap1.h (crash at startup when package is
      rebuilt on Oneiric)
  * Move existing in-line changes to Makefile.in to a patch
  * Add quilt patch system
 -- Marc Gariepy <email address hidden> Wed, 07 Dec 2011 14:56:16 -0500

Changed in chemtool (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Adolfo Jayme (fitojb) on 2013-12-10
Changed in chemtool (Ubuntu Natty):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers